Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 526320 - sci-chemistry/votca-csg-1.2.4: wrong names for completions
Summary: sci-chemistry/votca-csg-1.2.4: wrong names for completions
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Junghans
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bashcomp2
  Show dependency tree
 
Reported: 2014-10-21 18:05 UTC by Michał Górny
Modified: 2014-10-24 03:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-21 18:05:43 UTC
* Problems with installed bash completions were found:
 * 
 * 	votca-csg: incorrect name, no completions for 'votca-csg' command defined.
 * 	csg_resample: missing alias (symlink) for completed command.
 * 	csg_stat: missing alias (symlink) for completed command.
 * 	csg_density: missing alias (symlink) for completed command.
 * 	csg_part_dist: missing alias (symlink) for completed command.
 * 	csg_call: missing alias (symlink) for completed command.
 * 	csg_dump: missing alias (symlink) for completed command.
 * 	csg_map: missing alias (symlink) for completed command.
 * 	csg_fmatch: missing alias (symlink) for completed command.
 * 	csg_property: missing alias (symlink) for completed command.
 * 	csg_gmxtopol: missing alias (symlink) for completed command.
 * 	csg_imcrepack: missing alias (symlink) for completed command.
 * 	csg_inverse: missing alias (symlink) for completed command.
 * 	csg_boltzmann: missing alias (symlink) for completed command.
 * 
 * For more details on installing bash-completions, please see:
 * https://wiki.gentoo.org/wiki/Bash/Installing_completion_files

The completions should be installed using name matching one of the commands, and other need to be symlinked to it, e.g.:

  newbashcomp ... csg_call
  bashcomp_alias csg_call csg_stat csg_resample ...
Comment 1 Christoph Junghans gentoo-dev 2014-10-24 03:33:32 UTC
+*votca-csg-1.2.4-r1 (24 Oct 2014)
+
+  24 Oct 2014; Christoph Junghans <ottxor@gentoo.org>
+  +votca-csg-1.2.4-r1.ebuild, -votca-csg-1.2.4.ebuild:
+  fixed bash-comp (bug #526320)
+